import subprocess

def download_video():
    while True:
        # קבלת קישור מהמשתמש
        url = input("אנא הכנס את הקישור לסרטון (או הקש Enter כדי לצאת): ").strip()
        
        # יציאה אם לא הוזן קישור
        if not url:
            print("יצאת מהתוכנית.")
            break
        
        # בדיקה שהוזן קישור
        if not url:
            print("לא הוזן קישור. נסה שוב.")
            continue
        
        # בחירת פורמט
        print("בחר פורמט להורדה:")
        print("1. MP4 (וידאו)")
        print("2. MP3 (אודיו)")
        choice = input("הכנס את מספר הבחירה (1 או 2): ").strip()
        
        if choice == "1":
            # מסלול הורדה של MP4
            command = ["yt-dlp", "--no-check-certificate", "-f", "bestvideo[ext=mp4]+bestaudio[ext=m4a]/mp4", url]
        elif choice == "2":
            # מסלול הורדה של MP3
            command = ["yt-dlp", "--no-check-certificate", "-x", "--audio-format", "mp3", url]
        else:
            print("בחירה לא חוקית. נסה שוב.")
            continue

        try:
            # הרצת הפקודה
            subprocess.run(command, check=True)
            print("ההורדה הושלמה בהצלחה!")
        except subprocess.CalledProcessError as e:
            print("אירעה שגיאה במהלך ההורדה.")
            print(f"פירוט השגיאה: {e}")
        except FileNotFoundError:
            print("yt-dlp לא נמצא במערכת. ודא שהתקנת אותו ושהוא נגיש מ-PATH.")

# קריאה לפונקציה
if __name__ == "__main__":
    download_video()
    input("\nהקש Enter כדי לסגור...")
